Bug 110483 - Panel incorrectly displays "starting web browser" icon
Panel incorrectly displays "starting web browser" icon
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: htmlview (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 17:24 EST by Need Real Name
Modified: 2013-04-02 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 07:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-19 17:24:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.6.1 StumbleUpon/1.87

Description of problem:
I use htmlview everywhere so that the correct browser is launched
every time. I use Mozilla firebird.

Firebird, doesn't like being loaded more than once - it asks me to
select a profile. I can't select the same profile as another running
version of firebird.
To get around this, I point htmlview at htmlview-cheat, which does this:

# Load url in new tab
FB="/usr/local/MozillaFirebird-0.7/MozillaFirebird"
$FB -remote 'openURL('$@', new-tab)' || $FB $URL &

This works perfectly, apart from when I click the icon that links to
htmlview in the panel.
When I do this, a new tab opens (as it should), and another icon
appears telling me "Starting web browser".

This shouldn't happen.

It seems that the launch icons on the panel cannot handle applications
that are already running.
Comment 1 Leonard den Ottolander 2004-02-26 08:34:39 EST
Does this happen with FC 1 also?
Comment 2 Mark McLoughlin 2004-02-27 12:50:52 EST
This is a bug with htmlview itself. It has StartupWMClass=Mozilla in
the .desktop file.

You shouldn't use StartupWMClass unless you're guaranteed a newly
mapped window with that wmclass every time the launcher is clicked. See:

http://www.freedesktop.org/Standards/startup-notification-spec

for more details
Comment 3 Need Real Name 2004-08-13 07:27:13 EDT
htmlview is now deprecated. Closing.

Note You need to log in before you can comment on or make changes to this bug.